> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Api Key

> Revoke a specific API key.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json delete /api/v1/projects/{project_slug}/api-keys/{key_id}
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/projects/{project_slug}/api-keys/{key_id}:
    delete:
      tags:
        - Projects
      summary: Revoke Api Key
      description: Revoke a specific API key.
      operationId: api_projects_router_revoke_api_key
      parameters:
        - in: path
          name: project_slug
          schema:
            title: Project Slug
            type: string
          required: true
        - in: path
          name: key_id
          schema:
            title: Key Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    MessageResponse:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: MessageResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````